
<div class="column col-12">
  <div id="settings-package">
    <Modal4 @close="toggleModal" :clickedpackage= clickedpackage v-if='display_show_modal'></Modal4> 
    <div class="settings">
      <div class="columns space">
        <div class="column col-4">
         <span class="badge h3" :data-badge="this.total">
           All Packages
         </span>
        </div>
        <div class="column col-8">
          <div class="float-right">
            <button  class="btn btn-sm t_btn">Add Package</button>
          </div>
        </div>
      </div>
  <div class="column col-7">
    <data-tables-server :data="packages" :total="total" @query-change="fetchData" :pagination-props="pagination"  :table-props="tableProps"  :layout="layout" @selection-change="handleSelectionChange">
      <el-table-column type="selection" width="55">
      </el-table-column>
      <el-table-column label="Package Name" sortable="custom">
        <template slot-scope="scope">
          <span v-for="button in tableListner(scope.row)" :key= "scope.row.name" type="text" class="td_text"
            @click="button.handler">
            {{ scope.row.tag }}
          </span>
        </template>
      </el-table-column>
       <el-table-column label="Description" sortable="custom">
        <template slot-scope="scope">
          <span v-for="button in tableListner(scope.row)" :key= "scope.row.name" type="text" class="td_text"
            @click="button.handler">
            {{ scope.row.description }}
          </span>
        </template>
      </el-table-column>
    </data-tables-server>
   </div>
  </div>
</div>